Show / Hide Table of Contents

# Struct AgentItemSearch

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    [Agent(AgentId.ItemSearch)]
    public struct AgentItemSearch

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### ResultHoveredCount

##### Declaration

    public uint ResultHoveredCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ResultHoveredHQ

##### Declaration

    public byte ResultHoveredHQ

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ResultHoveredIndex

##### Declaration

    public uint ResultHoveredIndex

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ResultItemID

##### Declaration

    public uint ResultItemID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ResultSelectedIndex

##### Declaration

    public uint ResultSelectedIndex

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentItemSearch*Instance()

##### Returns

Type | Description
--- | ---
AgentItemSearch* |